Bug 1796401 - Review Request: python-requre - REQuest REcording your python code
Summary: Review Request: python-requre - REQuest REcording your python code
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-30 10:45 UTC by Jan Ščotka
Modified: 2020-09-22 09:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-22 09:13:27 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jan Ščotka 2020-01-30 10:45:11 UTC
Spec URL: https://github.com/packit-service/requre/blob/master/python-requre.spec
SRPM URL: https://fedorapeople.org/~jscotka/python-requre-0.2.2-1.fc30.src.rpm
Description: Requre [rekure]
Is Library for storing output of various function and methods to persistent storage and be able to replay the stored output to functions back
Fedora Account System Username: jscotka

Comment 1 Fabian Affolter 2020-01-30 21:08:28 UTC
Just some comments to get the review started:

- The spec file is not for the latest upstream release.
- The URL for the spec file should point to a location where the raw file is present.
- Source0: could be replaced with %{pypi_source}
- The markdown formatting should be removed from the description. Also, %description should end with a period.
- The tarball contains tests but the %check section is missing. 
- The ownership in %files should be adjusted.

Comment 2 Jan Ščotka 2020-02-17 11:19:54 UTC
Hi,
could you please help me to adjust ownership in %files section.
I have no idea, how to adjust it. I've generated packages via pypi2rpm, and have no experiences with this part of specfile. I've read specfile instructions to improve it, but I did not find anything useful what's bad there.
     Thanks&Regards
     Honza

Comment 3 Fabian Affolter 2020-02-28 06:44:49 UTC
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

with 

%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

Additional details: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_reviewer_checklist

Comment 4 Jan Ščotka 2020-03-03 08:36:14 UTC
Spec URL: https://github.com/packit-service/requre/blob/0.2.4/python-requre.spec
SRPM URL: https://fedorapeople.org/~jscotka/python-requre-0.2.4-1.fc31.src.rpm
Description:
REQUest REcordingRequre [rekure] - Is Library for storing output of various
function and methods to persistent storage and be able to replay the stored
output to functions

    Thanks for help.
    Regards
    Honza

Comment 5 Fabian Affolter 2020-03-17 13:23:54 UTC
(In reply to Fabian Affolter from comment #1)
> - The URL for the spec file should point to a location where the raw file is present.

This is still not the case. fedora-review requires a plain text SPEC file.

- %description should end with a period.

- There are rpmlint issues

  $ rpmlint python-requre-0.2.4-1.fc31.src.rpm
  python-requre.src: E: summary-too-long C Library for testing python code what allows store output of various objects and use stored data for testing
  python-requre.src: W: spelling-error %description -l en_US rekure -> reek
  python-requre.src: W: file-size-mismatch requre-0.2.4.tar.gz = 44461, https://files.pythonhosted.org/packages/source/r/requre/requre-0.2.4.tar.gz = 45681
  1 packages and 0 specfiles checked; 1 errors, 2 warnings.

Comment 6 Robert-André Mauchin 🐧 2020-03-26 17:49:32 UTC
 - %description should end with a period and summaries should start with a capital

 - several tests fail, probably because they need a network connection:

tests/test_request_response.py::StoreAnyRequest::testExecuteWrapper FAILED [ 50%]
tests/test_request_response.py::StoreAnyRequest::testFunctionCustomFields FAILED [ 51%]
tests/test_request_response.py::StoreAnyRequest::testFunctionCustomFieldsWrong FAILED [ 52%]
tests/test_request_response.py::StoreAnyRequest::testFunctionDecorator FAILED [ 53%]
tests/test_request_response.py::StoreAnyRequest::testFunctionDecoratorNotFound PASSED [ 53%]
tests/test_request_response.py::StoreAnyRequest::testRawCall FAILED      [ 54%]

Try disabling them:

%check
PYTHONPATH=$PWD PYTHONDONTWRITEBYTECODE=1 %{__python3} -m pytest --verbose --showlocals -k "not testExecuteWrapper and not testFunctionCustomFields and not testFunctionCustomFieldsWrong and not testFunctionDecorator  and not testFunctionDecoratorNotFound and not testRawCall" ./tests


 - Remove shebang in prep for:

python3-requre.noarch: E: non-executable-script /usr/lib/python3.8/site-packages/requre/requre_patch.py 644 /usr/bin/python3 

 - The summary must not exceed 80 characters:

python3-requre.noarch: E: summary-too-long C Library for testing python code what allows store output of various objects and use stored data for testing


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 67 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-requre/review-python-
     requre/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-requre
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-requre-0.2.4-1.fc33.noarch.rpm
          python-requre-doc-0.2.4-1.fc33.noarch.rpm
          python-requre-0.2.4-1.fc33.src.rpm
python3-requre.noarch: E: summary-too-long C Library for testing python code what allows store output of various objects and use stored data for testing
python3-requre.noarch: W: spelling-error %description -l en_US rekure -> reek
python3-requre.noarch: E: non-executable-script /usr/lib/python3.8/site-packages/requre/requre_patch.py 644 /usr/bin/python3 
python3-requre.noarch: W: no-manual-page-for-binary requre-patch
python-requre-doc.noarch: W: summary-not-capitalized C requre documentation
python-requre.src: E: summary-too-long C Library for testing python code what allows store output of various objects and use stored data for testing
python-requre.src: W: spelling-error %description -l en_US rekure -> reek
3 packages and 0 specfiles checked; 3 errors, 4 warnings.

Comment 7 Jan Ščotka 2020-04-01 15:41:34 UTC
I hope I've fixed mentioned issues, here is are new info, and hope that is is no problem that it is not merged to master from PR: https://github.com/packit-service/requre/pull/93

Spec URL: https://raw.githubusercontent.com/jscotka/requre/packaging3/python-requre.spec
SRPM URL: https://fedorapeople.org/~jscotka/python-requre-0.2.4-1.fc31.src.rpm
Description:
REQUest REcordingRequre [rekure] - Is Library for storing output of various
function and methods to persistent storage and be able to replay the stored
output to functions.

    Thanks for help.
    Regards
    Honza

Comment 8 Robert-André Mauchin 🐧 2020-04-02 16:48:26 UTC
Package approved.

Comment 9 Gwyn Ciesla 2020-04-06 13:14:10 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-requre

Comment 10 Fabian Affolter 2020-09-07 21:33:37 UTC
This package was never build.

Comment 11 Jan Ščotka 2020-09-21 13:08:04 UTC
Hi, 
I'll do it as soon as possible, to finish this BZ.
     Thanks for reminder
     Honza

Comment 12 Jan Ščotka 2020-09-22 09:13:27 UTC
already added to fedora: 
https://bodhi.fedoraproject.org/updates/?search=python-requre


Note You need to log in before you can comment on or make changes to this bug.